.leaves-bg {
    background-image: url("../img/bg-1.jpg");
    background-size: 300px;
    background-repeat: repeat;
}

.bg-autumn-1 {
    background-color: var(--colour-light-green);
}
.bg-autumn-2 {
    background-color: white;
    color: var(--color-brown);
}
.bg-autumn-2 * {
    --pico-color: white !important;
    color: var(--color-brown) !important;
}
.bg-autumn-2.white {
    color: var(--color-brown);
}
.bg-autumn-3 {
    background-color: #DB966C;
}
.bg-autumn-4 {
    background-color: #CC7870;
}
.bg-autumn-5 {
    background-color: #A67669;
}
.paper {
    margin: 15px;
    min-height: 300px;
    margin-bottom: 15px;
    padding: 50px;
    max-width: 800px;
    width: 100%;
    background-color: whitesmoke;
    background-image: url("../img/paper.jpg");
    background-size: 300px;
    background-repeat: repeat;
    color: black;

}


.indie-flower-regular {
    font-family: "Indie Flower", cursive;
    font-weight: 400;
    font-style: normal;
  }
body {
    --pico-color: #333;
    min-height: 100vh;
    max-width: 100vw !important;
    overflow-x: hidden !important;
    /* background-color: #333; */
    background-color: var(--colour-light-green);
}
html, body {
    overflow-x: hidden;
}
body {
    position: relative
}
:root {
    color-scheme: only light;
}
* {
    --colour-light-green: #d3dbc6;
    --color-brown: rgb(88, 80, 56);
    --pico-text-selection-color: var(--colour-light-green) !important;
    --pico-spacing: 0;
    --pico-font-family: "Prata";
    --pico-color: #333;
    --pico-secondary: #777;
    font-family: "Prata";
    font-weight: 400;
    font-style: normal;
}
*:focus {
    outline: none;
    border-color: inherit;
  -webkit-box-shadow: none;
  box-shadow: none;
}
body > .container {
    padding-block: 0;
}

.green-emoji {
    color: transparent !important;
    text-shadow: 0 0 0 var(--colour-light-green);
}

.center-child {
    display: flex;
    justify-content: center;
    justify-items: center;
}
.tac {
    text-align: center;
}
.tal {
    text-align: left;
    padding-left: 30px;
    /* color: #333 !important; */
}
.pad {
    padding: 20px;
}
.unpad-top {
    padding-top: 0px;
}

.orange {
    color: #D3DBC6;
    z-index: 1000000;
}
.shadow {
    text-shadow:3px 4px rgba(149, 136, 112, 0.25)
}

.giant h2 {
    font-size: 3rem;
}
.giant h1 {
    font-size: 5rem;
    margin-top: 20px;
    margin-bottom: 10px;
}

.leaflet-bottom.leaflet-right,.leaflet-control-zoom {
    display: none !important;
}
.leaflet-marker-icon {
    background: transparent;
    border: none;
}

.fw {
    width: 100%;
}

.big {
    font-size: 100px;
}
.medium {
    font-size: 30px;
}


.rotate-15 {
    transform: rotate(15deg);
}
.rotate-30 {
    transform: rotate(90deg);
    padding-left: 8px;

}

.topmost {
    z-index: 1000000000;
    position: absolute;
    top: 60px;
    left: 0;
    pointer-events: none;
}
.impact {
    font-weight: 600;
    color: white;
    text-shadow: 1px 0 0 #666, 0 -1px 0 #666, 0 1px 0 #666, -1px 0 0 #666;
}

.pt-1 {
    padding-top: 20px;
}
.pt-2 {
    padding-top: 40px;
}
.pt-3 {
    padding-top: 60px;
}
.pt-4 {
    padding-top: 80px;
}
.pt-5 {
    padding-top: 100px;
}

section {
    /* border-style: dashed; */
    border-left:none;
    border-right:none;
    margin-bottom: 0px;
    color: #333;
    /* width: 95%;
    margin-left: 2.5% */
}

.threeD, .kodak {
  transform: perspective(1500px) rotateY(0deg);
  border-radius: 1rem;
  box-shadow: rgba(0, 0, 0, 0.25) 0px 25px 50px -12px;
  transition: transform 1s ease 0s;

  &:hover {
    transform: perspective(3000px) rotateY(15deg);
  }
}


.text-large {
    font-size: 50px;
}
.text-big {
    font-size: 30px;
}
.text-medium {
    font-size: 20px;
}
.text-small {
    font-size: 17px;
}
.kodak {
    transform: rotate(3deg);
    max-width: 700px;
    width: 92%;
}
.limit img {
    max-height: 400px;
}
.limit {
    max-width: 450px;
}
.kodak img {
    border: 15px solid white;
    border-bottom: 5px solid white;
    width:  100%;
}
.kodak figcaption {
    background-color: white;
    padding-top: 10px;
    min-height: 60px;
    color: #333 !important;
    font-family: "Permanent Marker";
    font-size: 20px;
    text-align: center;
    padding-bottom: 5px;
}
.kodak.straight {
    transform: rotate(0deg) !important;
    -webkit-transform: rotate(0deg) !important;
    -moz-transform: rotate(0deg) !important;
}
.fancy {
    font-family: "Lugrasimo", cursive;
}
hr {
    background-color: inherit;
    width: 200px;
    color: white !important;
    border-top: 3px solid white;
}
hr.short {
    width: 60px;
    margin-bottom: 30px;
}
ul, ul li {
    font-size: 15px;
    font-family: Georgia, 'Times New Roman', Times, serif
}
.wider li {
    margin-bottom: 20px;
}
li {
    max-width: 90%;
    text-align: left;
}
.black, .black i {
    color: #333 !important;
}
.white {
    color: #FFF
}
fieldset label {
    padding: 5px;
    line-height: 30px;
}
fieldset button {
    width: 80%;
    max-width: 500px;
}
input {
    max-width: 700px;
}
button img {
    max-width: 100px;
    max-height: 100px;
    border-radius: 15px;
}
button.selected {
    background-color: #dd8178;
    color: white;
}
#rsvp_buttons button {
    padding: 10px;
}
.hidden {
    display: none !important;
}
.ilb {
    display: inline-block;
}
.disabled {
    color: rgb(112, 145, 112);
}
#other-questions label {
    margin-bottom: 15px;
}
.long-radio {
    display: flex;
    justify-content: left;
    text-align: left;
}
@media only screen and (max-width: 600px) {
    .long-radio {
        text-align: left;
    }
}
ul li {
    font-size: 25px;
}
.nodec {
    color: inherit;
    text-decoration: none !important;
    --pico-text-decoration: none !important;
}

.fadein {
    -webkit-animation: fadein 2s; /* Safari, Chrome and Opera > 12.1 */
       -moz-animation: fadein 2s; /* Firefox < 16 */
        -ms-animation: fadein 2s; /* Internet Explorer */
         -o-animation: fadein 2s; /* Opera < 12.1 */
            animation: fadein 2s;
}
input.simple, input.simple:hover, input.simple:focus, input.simple:active  {
    background-color: transparent;
    border: none;
    color: #333;
    border-bottom: 2px solid black;
    border-radius: 0px;
    outline: none !important;
    border-color: inherit;
    -webkit-box-shadow: none;
    box-shadow: none;
    text-align: center;
    font-size: 30px;
    width: 80%;
    max-width: 500px;
}
input.txt {
    background-color: peachpuff !important;
    border: 2px solid #333 !important;
    color: #333;
}
input.txt:hover, input.txt:active, input.txt::selection {
    border: 2px solid #333;
    color: #333;
}

.wtf {
    margin-left: -10px;
}
.flip {
 -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}
.multiline-grid {
    display: grid; 
    grid-template-columns: repeat(1, 300px);   /* 2 */
    grid-auto-rows: 50px;                     /* 3 */
    grid-gap: 10px; 
}

@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}


#gifts .black {
    max-width: 90%;
}

.forest {
    background-image: url(/res/img/bg-large.jpg) !important;
    background-size:     cover;                      /* <------ */
    background-repeat:   no-repeat;
    background-position: center center;
}
.forest .bg-autumn-1 {
    background-color: transparent;
}
.forest #rsvp {
    background-color: rgba(50,50,50,0.8);
    /* border-radius: 20px; */
}
.forest #rsvp p  {
    color: white;
}


#photo_list {
    display: grid;
    column-gap: 20px;
    grid-template-columns: 45vw 45vw;
    margin-left: 10px;
    row-gap: 4em;
}

#photo_list .kodak img {
    border: 7px solid white;
}
#photo_list .kodak figcaption {
    min-height: 20px;
    padding-top: 0px;
    width: 100%;
}

.clickable {
    cursor: pointer;
}

.lilguy {
    max-width: 60px;
}

.mt-1 {
    margin-top: 10px;
}
.mt-2 {
    margin-top: 20px;
}
.mt-3 {
    margin-top: 30px;
}
.mt-4 {
    margin-top: 40px;
}


#dog {
    position: fixed;
    left: 85%;
    top: calc(110vh - 200px);
    height: 200px !important;
    width: auto;
    z-index: 200;
}

.container p {
    margin-bottom: 3px;
}